<?php

  class pz_data_groupes extends pz_data
  {

    # ----------------------------------------------------------------------------------------
    #                                                                                  groupes
    #

    function groupes($id_user = null, $start = 0, $alpha = null)
    { $sgbd = $this->sgbd();
      $env = $this->env();
      $groupes = array("list" => array(), "total" => 0);
      $SELECT = "SELECT *";
      $FROM = " FROM #--groupes";
      $WHERE = "";
      $WHERE .= (isset($id_user) ? ($WHERE ? " AND" : " WHERE")." id_user=".$id_user : "");
      $WHERE .= (isset($alpha) ? ($WHERE ? " AND" : " WHERE")." LEFT(login, 1)=".$this->eq($alpha) : "");
      $LIMIT = ($env->config("max_list") ? " LIMIT ".$env->config("max_list")." OFFSET ".$start : "");
      $sql = "SELECT count(*) as n FROM(".$SELECT.$FROM.$WHERE.") res";
      $rst = $sgbd->query($sql);
      if($v_rst = $sgbd->fetch_assoc($rst)) $groupes["total"] = $v_rst["n"];
      $sgbd->free_result($rst);
      if($groupes["total"] > 0)
      { $sql = "SELECT * FROM(".$SELECT.$FROM.$WHERE.$LIMIT.") res";
        $rst = $sgbd->query($sql);
        while($v_rst = $sgbd->fetch_assoc($rst)) $groupes["list"][$v_rst["id"]] = $v_rst;
        $sgbd->free_result($rst);
      }
      return $groupes;
    }

    function groupe($id)
    { $sgbd = $this->sgbd();
      $groupe = array();
      $sql = "SELECT * from #--groupes WHERE id=".$this->eq($id);
      $rst = $sgbd->query($sql);
      if($v_rst = $sgbd->fetch_assoc($rst)) $groupe = $v_rst;
      $sgbd->free_result($rst);
      return $groupe;
    }

    function groupe_exists($nom)
    { $sgbd = $this->sgbd();
      $EXISTS = 0;
      $sql = "SELECT count(*) as n from #--groupes WHERE nom=".$this->eq($nom);
      $rst = $sgbd->query($sql);
      if($v_rst = $sgbd->fetch_assoc($rst)) $EXISTS = $v_rst["n"];
      $sgbd->free_result($rst);
      return $EXISTS;
    }

    function add_groupe($id_user, $nom, $description)
    { $sgbd = $this->sgbd();
      $sql =
       "INSERT INTO #--groupes(id_user, nom, description) VALUES"
      ."( ".$this->eq($id_user)
      .", ".$this->eq($nom)
      .", ".$this->eq($description)
      .")";
      $sgbd->query($sql);
      return true;
    }

    function set_groupe($id, $nom, $description)
    { $sgbd = $this->sgbd();
      $sql =
       "UPDATE #--groupes SET"
      ."  nom=".$this->eq($nom)
      .", description=".$this->eq($description)
      ." WHERE id=".$id;
      $sgbd->query($sql);
      return true;
    }

    function del_groupe($id)
    { $sgbd = $this->sgbd();
      $sql = "DELETE FROM #--groupes WHERE id=".$this->eq($id);
      $sgbd->query($sql);
      return true;
    }

  }

?>