<?php

  class pz_users_groupes extends pz_mod
  {

    var $groupe;
    var $user;

    function validate($env)
    { $data = $env->data();
      if($this->user = $env->user())
      { if($env->etat("action") == "edit" || $env->etat("action") == "del")
        { if(($this->groupe = $data->groupe($_GET[$env->param("id")])) !== false && $this->groupe)
          { if($this->groupe["id_user"] == $this->user["id"])
            { return true;
            }
            else return "Vous n'est pas autoris&eacute; &agrave; modifier ce groupe";
          }
          else return "Impossible de lire les informations du groupe";
        }
        else return true;
      }
      return "Vous devez &ecirc;tre identifier pour acc&eacute;der &agrave; cette page";
    }

    function index($env)
    { $data = $env->data();
      if($env->set_out("groupes", $data->groupes($this->user["id"])) !== false)
      {
      }
      else $env->erreur("Impossible de lire la liste des groupes");
    }

    function add($env)
    { $data = $env->data();
      if($data->check_user_uploads_dir())
      { $web_path = $env->path("web");
        $_SESSION["upload_dir"] = $web_path.($web_path ? "" : "/").$env->path("content")."uploads/".$this->user["id"];
        if($_POST)
        { $env->set_out("groupe", $_POST);
          if(trim($_POST["nom"]))
          { if(($exists = $data->groupe_exists($_POST["nom"])) !== false)
            { if($exists == 0)
              { if
                ( $data->add_groupe
                  ( $this->user["id"],
                    $_POST["nom"],
                    $_POST["description"]
                  )
                ) $env->redirect
                ( $env->url("users/groupes"),
                  "le groupe a &eacute;t&eacute; ajout&eacute;"
                );
                else $env->erreur("Impossible d'ajouter le groupe");
              }
              else $env->message("Un groupe avec ce nom existe d&eacute;j&agrave;");
            }
            else $env->erreur("Impossible de savoir si le groupe existe d&eacute;j&agrave;");
          }
          else $env->message("merci de pr&eacute;ciser un nom pour le groupe");
        }
      }
      else $env->erreur("Impossible de creer le repertoire utilisateur");
    }

    function edit($env)
    { $data = $env->data();
      if($data->check_user_uploads_dir())
      { $web_path = $env->path("web");
        $_SESSION["upload_dir"] = $web_path.($web_path ? "" : "/").$env->path("content")."uploads/".$this->user["id"];
        if($env->set_out("groupe", $this->groupe))
        { if($_POST)
          { $groupe = $env->out("groupe");
            $id = $groupe["id"];
            $nom = $groupe["nom"];
            $env->set_out("groupe", $_POST);
            if(trim($_POST["nom"]))
            { if(($exists = $data->groupe_exists($_POST["nom"])) !== false)
              { if($exists < ($_POST["nom"] == $nom ? 2 : 1))
                { if
                  ( $data->set_groupe
                    ( $id,
                      $_POST["nom"],
                      $_POST["description"]
                    )
                  ) $env->redirect
                  ( $env->url("users/groupes"),
                    "le groupe a &eacute;t&eacute; modifi&eacute;"
                  );
                  else $env->erreur("Impossible de modifier le groupe");
                }
                else $env->message("Un groupe avec ce nom existe d&eacute;j&agrave;");
              }
              else $env->erreur("Impossible de savoir si le groupe existe d&eacute;j&agrave;");
            }
            else $env->message("merci de pr&eacute;ciser un nom pour le groupe");
          }
        }
        else $env->erreur("Impossible de lire les informations du groupe");
      }
      else $env->erreur("Impossible de creer le repertoire utilisateur");
    }

    function del($env)
    { $data = $env->data();
      if($data->del_groupe($this->groupe["id"]))
      { $env->redirect
        ( $env->url("users/groupes"),
          "le groupe a &eacute;t&eacute; supprim&eacute;"
        );
      }
      else $env->erreur("Impossible de supprimer le groupe");
    }

  }

?>