-- phpMyAdmin SQL Dump
-- version 3.2.2.1deb1
-- http://www.phpmyadmin.net
--
-- Serveur: localhost
-- Généré le : Dim 25 Juillet 2010 à 02:49
-- Version du serveur: 5.1.37
-- Version de PHP: 5.2.10-2ubuntu6.4

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Base de données: `partazic_base`
--

-- --------------------------------------------------------

--
-- Structure de la table `pz_action_status`
--

CREATE TABLE IF NOT EXISTS `pz_action_status` (
  `action` varchar(255) NOT NULL,
  `id_status` int(11) NOT NULL,
  PRIMARY KEY (`action`,`id_status`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `pz_action_status`
--

INSERT INTO `pz_action_status` (`action`, `id_status`) VALUES
('admin', 1);

-- --------------------------------------------------------

--
-- Structure de la table `pz_categories`
--

CREATE TABLE IF NOT EXISTS `pz_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) DEFAULT NULL,
  `nom` varchar(255) DEFAULT NULL,
  `code` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `pz_categories`
--


-- --------------------------------------------------------

--
-- Structure de la table `pz_groupes`
--

CREATE TABLE IF NOT EXISTS `pz_groupes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL DEFAULT '0',
  `nom` varchar(255) NOT NULL DEFAULT '',
  `description` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Contenu de la table `pz_groupes`
--


-- --------------------------------------------------------

--
-- Structure de la table `pz_infos`
--

CREATE TABLE IF NOT EXISTS `pz_infos` (
  `element` varchar(255) NOT NULL DEFAULT '',
  `id_element` int(11) NOT NULL DEFAULT '0',
  `key` varchar(255) NOT NULL DEFAULT '',
  `value` text,
  `type` varchar(217) DEFAULT NULL,
  PRIMARY KEY (`element`,`id_element`,`key`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `pz_infos`
--

INSERT INTO `pz_infos` (`element`, `id_element`, `key`, `value`, `type`) VALUES
('', 0, 'site_name', 'partazic', NULL),
('', 0, 'max_list', '20', NULL),
('', 0, 'description', '', NULL),
('', 0, 'out', 'dist', NULL);

-- --------------------------------------------------------

--
-- Structure de la table `pz_licences`
--

CREATE TABLE IF NOT EXISTS `pz_licences` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(127) NOT NULL DEFAULT '',
  `url` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `pz_licences`
--


-- --------------------------------------------------------

--
-- Structure de la table `pz_sources`
--

CREATE TABLE IF NOT EXISTS `pz_sources` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_auteur` int(11) DEFAULT NULL,
  `nom` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `licence` int(11) DEFAULT NULL,
  `reference` varchar(255) DEFAULT NULL,
  `status` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `pz_sources`
--


-- --------------------------------------------------------

--
-- Structure de la table `pz_source_categories`
--

CREATE TABLE IF NOT EXISTS `pz_source_categories` (
  `id_source` int(11) NOT NULL,
  `id_categorie` int(11) NOT NULL,
  PRIMARY KEY (`id_source`,`id_categorie`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `pz_source_categories`
--


-- --------------------------------------------------------

--
-- Structure de la table `pz_source_compositions`
--

CREATE TABLE IF NOT EXISTS `pz_source_compositions` (
  `id_source` int(11) NOT NULL,
  `id_composition` int(11) NOT NULL,
  PRIMARY KEY (`id_source`,`id_composition`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `pz_source_compositions`
--


-- --------------------------------------------------------

--
-- Structure de la table `pz_source_status`
--

CREATE TABLE IF NOT EXISTS `pz_source_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(127) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `pz_source_status`
--


-- --------------------------------------------------------

--
-- Structure de la table `pz_source_status_composition`
--

CREATE TABLE IF NOT EXISTS `pz_source_status_composition` (
  `id_source_status` int(11) NOT NULL,
  `id_source_status_composition` int(11) NOT NULL,
  `required` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_source_status`,`id_source_status_composition`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `pz_source_status_composition`
--


-- --------------------------------------------------------

--
-- Structure de la table `pz_users`
--

CREATE TABLE IF NOT EXISTS `pz_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(63) NOT NULL,
  `password` varchar(127) NOT NULL,
  `email` varchar(127) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `login` (`login`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Contenu de la table `pz_users`
--

INSERT INTO `pz_users` (`id`, `login`, `password`, `email`, `status`) VALUES
(3, 'user', '96ef04740e7c7dd411c04d5102482333', 'source@tazic.com', 1);

-- --------------------------------------------------------

--
-- Structure de la table `pz_user_status`
--

CREATE TABLE IF NOT EXISTS `pz_user_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(127) NOT NULL DEFAULT '',
  `creation_default` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Contenu de la table `pz_user_status`
--

INSERT INTO `pz_user_status` (`id`, `nom`, `creation_default`) VALUES
(1, 'admin', 0),
(2, 'membre', 1);
