<?php

  # --------------------------------------------------------------
  #                                                          infos
  #

  # modifier ce fichier en fonction de l'organisation des dossier
  # et des parametres de connection au sgbd

  # les valeurs indiquees ci-dessous correspondent a la configuration
  # suivante :
  #
  # - le fichier "index.php" du site
  #   (celui appele par les internautes)
  #   est accessible via l'url :
  #   http://un.domaine.tld/partazic/web/index.php
  #
  # - sur le serveur, le dossier "/partazic/web/" contient lui-meme
  #   un dossier "partazic"
  #
  # - ce dernier contient (entre autres) les dossiers :
  #
  #    - app/core
  #    - app/local
  #    - out/dist
  #    - out/local
  #    - content
  # 

  # --------------------------------------------------------------
  #                                                        chemins
  #

  # chemin web du site (dossier d'execution du script d'appel)
  # absolu a partir du "document root"
  $PATHES["web"] = "/partazic.0.2/web";

  # chemin de l'application
  # relatif au dossier d'execution du script
  $PATHES["app"] = "partazic/app";

  # nom du dossier (sans chemin) de l'application courante
  $PATHES["current_app"] = "local";

  # nom du dossier (sans chemin) de l'application par defaut
  $PATHES["core_app"] = "core";

  # dossier des librairies
  # relatif au dossier d'execution du script
  $PATHES["libs"] = "partazic/libs";

  # dossier des uploads
  # relatif au dossier d'execution du script
  $PATHES["content"] = "partazic/content";

  # dossier des templates
  # relatif au dossier d'execution du script
  $PATHES["out"] = "partazic/out";

  # nom du dossier (sans chemin) du template courant
  $PATHES["current_out"] = "local";

  # nom du dossier (sans chemin) du template par defaut
  $PATHES["dist_out"] = "dist";

  # --------------------------------------------------------------
  #                                                base de donnees
  #

  # --------------------------- MYSQL

  # sgbd : "mysql" ou "sqlite"

  $bdd["sgbd"] = "mysql";
  $bdd["host"] = "localhost";
  $bdd["base"] = "partazic_base";
  $bdd["table_prefix"] = "pz_";
  $bdd["user"] = "mysql_user";
  $bdd["password"] = "mysql_pass";

  # --------------------------- SQLITE

  # sgbd : "mysql" ou "sqlite"
/*
  $bdd["sgbd"] = "sqlite";
  $bdd["host"] = "partazic/content/data/sqlite";
  $bdd["base"] = "partazic_base.sqlite";
  $bdd["table_prefix"] = "pz_";
*/

?>